Mandanten und aktive DATEV-Services
curl --request GET \
--url https://api.business-os.de/v2/datev/companies \
--header 'x-api-key: <api-key>'import requests
url = "https://api.business-os.de/v2/datev/companies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.business-os.de/v2/datev/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"subscription": [
{
"id": null,
"name": "Belegbilderservice",
"status": null,
"active": true
},
{
"id": null,
"name": "Rechnungsdatenservice 1.0",
"status": null,
"active": true
}
],
"id": "122130-13170",
"client_number": 13170,
"consultant_number": 122130,
"environmentId": null,
"name": "Mustermann GmbH"
}
]
}DATEV Allgemein
Mandanten und aktive Services
Listet alle Mandanten (Companies), die unter der angegebenen DATEV-Verbindung verfügbar sind, samt der je Mandant aktiven Service-Subscriptions (z. B. Belegbilderservice, Rechnungsdatenservice 1.0, DATEV Rechnungswesen-Exportservice).
Kosten: 1 Credit pro Aufruf
GET
/
v2
/
datev
/
companies
Mandanten und aktive DATEV-Services
Authorizations
Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.
Query Parameters
UUID der DATEV-Verbindung. Abrufbar über den /connections-Endpunkt des jeweiligen Moduls (z. B. GET /v2/datev-duo/connections).
Example:
"abbc18fd-ba5e-4dfd-afc4-9dec0c0ad145"
Kennzeichnung der Aufrufquelle für die Nutzungsanalyse. Standard bei Weglassen: API (direkter API-Aufruf). Für Automationen aus Make z. B. Make angeben.
Example:
"Make"
Response
Liste der Mandanten und deren Service-Subscriptions
Show child attributes
Show child attributes